using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace xna_finall
{
    class GameStateClass
    { // 遊戲狀態
        public enum GameState
        {
            Menu,   // 主選單
            Game1,  // 遊戲一
            Help , // 說明
            about
        }

        public static GameState currentGameState; // 目前的遊戲狀態

        // 轉換遊戲狀態
        public static void changeState(GameState gs, Game game)
        {
            currentGameState = gs;
            if (gs == GameState.Menu)
                game.Window.Title = "主選單";
            else if (gs == GameState.Game1)
                game.Window.Title = "動物大冒險";
            else if (gs == GameState.about)
                game.Window.Title = "關於我們";
            else if (gs == GameState.Help)
                game.Window.Title = "注意事項";
        }
    }
}
